%define major 0
%define libname  %mklibname %name %major
%define develname %mklibname -d %name

Summary:    C++ rendering engine for MathML documents
Name:       gtkmathview
Version:    0.8.0
Release:    %mkrel 7
License:    GPL
Group:      Networking/WWW
Url:            http://www.cs.unibo.it/helm/mml-widget/
Source:     http://helm.cs.unibo.it/mml-widget/sources/%{name}-%{version}.tar.bz2
Source1:         gtkmathview.html.tar.bz2
Patch0: gtkmathview-0.8.0-cond-t1.patch
Patch1: gtkmathview-0.8.0-gcc43.patch
Patch2: gtkmathview-0.8.0-gcc44.patch
Patch3: gtkmathview-0.8.0-fix-link.patch
Patch4: gtkmathview-0.8.0-no-static.patch
BuildRequires:    t1lib-devel >= 1.3
BuildRequires:    libxml2-devel >= 2.2.0
BuildRequires:    popt-devel
BuildRequires:    libxslt-proc
BuildRequires:    pkgconfig(glib-2.0) >= 2.2.1
Requires:         fonts-ttf-latex

%description
GtkMathView is a GTK Widget for rendering MathML documents.

%package -n %libname
Summary:   Libraries for gtkmathview
Group: System/Libraries

%description -n %libname
GtkMathView is a GTK Widget for rendering MathML documents.

%package -n %develname
Summary:  Libraries and include files for gtkmathview
Group:    Development/C++
Requires: %libname = %version libxml2-devel >= 2.4.26
Provides: lib%name-devel = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %{_lib}gtkmathview0-devel < %version-%release

%description -n %develname
GtkMathView is a GTK Widget for rendering MathML documents.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p1
# AM_BINRELOC missing, just ignore
echo 'AC_DEFUN([AM_BINRELOC], [])' > acinclude.m4

%build
autoreconf -fi
%configure2_5x --disable-static --disable-gtk
%make

##Add updated html reference manual##
mkdir DATA.TMP
cd DATA.TMP
tar xjf %{SOURCE1}
cd ../../..

%install
rm -rf %buildroot
%makeinstall_std
mkdir -p %buildroot/%_docdir/%name
cp -r DATA.TMP/%name.html %buildroot/%_docdir/%name

find %{buildroot} -name '*.la' -delete

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog HISTORY INSTALL LICENSE NEWS README TODO
%config(noreplace) %_sysconfdir/gtkmathview/gtkmathview.conf.xml
%_bindir/*
%_datadir/%name
%_mandir/man1/*

%files -n %libname
%defattr(-, root, root)
%_libdir/lib*.so.%{major}
%_libdir/lib*.so.%{major}.*

%files -n %develname
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_includedir}/*
%_libdir/pkgconfig/*


%changelog

* Thu Jan 26 2012 fwang <fwang> 0.8.0-7.mga2
+ Revision: 201788
- br glib
- drop gtk req

* Fri Nov 25 2011 fwang <fwang> 0.8.0-6.mga2
+ Revision: 171844
- drop .la files

* Thu Mar 24 2011 philippem <philippem> 0.8.0-5.mga1
+ Revision: 77040
- remove no need glib-devel >= 1.2.10

* Thu Mar 24 2011 philippem <philippem> 0.8.0-4.mga1
+ Revision: 77030
- remove buildrequires gmetadom-devel

  + ennael <ennael>
    - clean spec file
    - imported package gtkmathview

